// Datei: testmod.c
//
// hk@holger-klabunde.de
// www.holger-klabunde.de
// 23.03.2002
// Compiler CC5x

#include "prozess.h"      // Der verwendete Prozessor
#include "testmod.h"
#include "protos.h"

#include "delay.c"
#include "bin2bcd8.c"
#include "lcd.c"
 
//*******************************************************
// Hauptprogramm
//*******************************************************
void main()
{
 CLRWDT;
 //Takt des PIC 4MHz, ein Zyklus = 1us
 OPTION=0b11000001; //Pullups off,Prescaler auf TMR0, 1:4

 TRISB=0b00000000;  //0=Ausgang, 1=Eingang
 PORTB=0b00000000;  //Port einmal schreiben

 TRISA=0b00000;     //0=Ausgang, 1=Eingang
 PORTA=0b00000000;  //Port einmal schreiben
 
 LCDInit();
 LCDCls();
 LCDWrite("PIC-Minimodul");
 LCDPos(2,1);
 LCDWrite("Testprogramm");

//Ab hier passiert nix mehr ;)
 
 while(1) // Programm-Endlosschleife
  {
  } //while(1) Endlosschleife
}
